"""achange users_tickets_association primary key

Revision ID: 40244e9f75d2
Revises: e19b9112af39
Create Date: 2022-09-02 14:03:03.042150

"""
# flake8: noqa
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "40244e9f75d2"
down_revision = "0f69dea11c84"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint("users_tickets_association_pkey", "users_tickets_association")
    op.create_primary_key(
        "users_tickets_association_pkey",
        "users_tickets_association",
        ["user_id", "ticket_id", "id"],
    )


# ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(
        "users_tickets_association_pkey", "users_tickets_association", type_="primary"
    )
    op.create_primary_key(
        "users_tickets_association_pkey",
        "users_tickets_association",
        ["user_id", "ticket_id"],
    )
    # ### end Alembic commands ###
